Accept an invitation waiting for you
POST
/me/invitations/{id}/accept
const url = 'https://example.com/me/invitations/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/accept';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/me/invitations/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/acceptJoins the business with the role it invited you as. Needs a confirmed email address matching the invitation.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”Joined
Media typeapplication/json
object
tenant
required
object
id
required
UUID v7
string format: uuid
name
required
string
slug
required
string
role
required
Owner: billing, deleting the tenant, full control of members. admin: all operational work and may manage drivers and admins. driver: their own round only.
string
joinedAt
required
string format: date-time
plan
required
string | null
planStatus
required
string | null
Example
{ "tenant": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "name": "Acme Gas", "slug": "acme-gas" }, "role": "owner", "plan": "starter", "planStatus": "trialing"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Email not confirmed, or a support session
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not waiting for you
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}